# dokku-ansible-deploy

Deploy applications on Dokku using Ansible.

## Requirements

- dokku 0.19.13+
- Debian based system (uses `apt` package manager for installing dependencies)

## Installation

Install the plugin like so.

```shell
$ dokku plugin:install https://git.autonomic.zone/autonomic-cooperative/dokku-ansible-deploy.git
$ dokku plugin:install-dependencies
```

Then set up your Dokku user account with sudo account and register that
password with the plugin. This password will be passed into the Ansible
execution as `ansible_become_password` for sudo root escalation.

```
$ sudo usermod -aG sudo dokku
$ sudo passwd dokku
$ dokku ansible-deploy:sudo-pass
```

And finally, register your vault password with the plugin. This is the same
password that you use to encrypt your secrets in your application repository
vault.

```
$ dokku ansible-deploy:vault-pass
```

## Usage

TODO.

## Contribute

TODO.
